%define pypi_name arrow

Name:               python-%{pypi_name}
Version:            1.3.0
Release:            %mkrel 2
Summary:            Better dates and times for Python
Group:              Development/Python
License:            ASL 2.0
URL:                https://pypi.org/project/arrow/
Source0:            %{pypi_source}
BuildArch:          noarch
BuildRequires:      pyproject-rpm-macros
BuildRequires:      pkgconfig(python3)

%description
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.

Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%package -n         python3-%{pypi_name}
Summary:            Better dates and times for Python 3
Group:              Development/Python
%{?python_provide:%python_provide python3-%{pypi_name}}

%description -n python3-arrow
Arrow is a Python library that offers a sensible, human-friendly approach to
creating, manipulating, formatting and converting dates, times, and timestamps.
It implements and updates the datetime type, plugging gaps in functionality,
and provides an intelligent module API that supports many common creation
scenarios.

Simply put, it helps you work with dates and times with fewer imports and a lot
less code.

%prep
%autosetup -p1 -n %{pypi_name}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README* CHANGELOG*


%changelog
* Sun Mar 02 2025 wally <wally> 1.3.0-2.mga10
+ Revision: 2156796
- rebuild for python3.13

* Tue Dec 19 2023 wally <wally> 1.3.0-1.mga10
+ Revision: 2019823
- new version 1.3.0
- use %%pyproject_buildrequires

* Mon Sep 05 2022 neoclust <neoclust> 1.2.3-1.mga9
+ Revision: 1884009
- New version 1.2.3

* Fri Mar 25 2022 umeabot <umeabot> 1.1.1-3.mga9
+ Revision: 1825613
- Mageia 9 Mass Rebuild

* Thu Feb 17 2022 tv <tv> 1.1.1-2.mga9
+ Revision: 1778531
- Rebuild for python-3.10

* Fri Aug 27 2021 wally <wally> 1.1.1-1.mga9
+ Revision: 1742775
- new version 1.1.1

* Sun Apr 18 2021 daviddavid <daviddavid> 1.0.3-1.mga9
+ Revision: 1716760
- new version: 1.0.3

* Sun Apr 18 2021 daviddavid <daviddavid> 1.0.2-2.mga9
+ Revision: 1716700
- rebuild for python 3.9

* Tue Mar 02 2021 guillomovitch <guillomovitch> 1.0.2-1.mga9
+ Revision: 1696427
- new version 1.0.2

* Wed Sep 09 2020 guillomovitch <guillomovitch> 0.16.0-1.mga8
+ Revision: 1623941
- new version 0.16.0

* Tue Mar 31 2020 daviddavid <daviddavid> 0.15.5-1.mga8
+ Revision: 1562593
- new version: 0.15.5

* Tue Feb 18 2020 umeabot <umeabot> 0.15.4-2.mga8
+ Revision: 1538221
- Mageia 8 Mass Rebuild

* Sat Nov 16 2019 daviddavid <daviddavid> 0.15.4-1.mga8
+ Revision: 1461201
- new version: 0.15.4

* Wed Sep 18 2019 daviddavid <daviddavid> 0.15.2-1.mga8
+ Revision: 1443466
- new version: 0.15.2
- rebuild for python3.8
- drop python2 support

* Mon Jan 07 2019 shlomif <shlomif> 0.12.1-4.mga7
+ Revision: 1350341
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 0.12.1-3.mga7
+ Revision: 1288243
- Mageia 7 Mass Rebuild

* Tue May 01 2018 ngompa <ngompa> 0.12.1-2.mga7
+ Revision: 1224145
- Add backports-functools_lru_cache dep to Python 2 subpackage

* Fri Apr 20 2018 kekepower <kekepower> 0.12.1-1.mga7
+ Revision: 1220415
- Update to version 0.12.1
- Renamed python-arrow to python2-arrow
- Use python_provide

* Sat Aug 05 2017 pterjan <pterjan> 0.7.0-3.mga7
+ Revision: 1135311
- Rebuild for python 3.6

* Sat Feb 20 2016 umeabot <umeabot> 0.7.0-2.mga6
+ Revision: 971235
- Mageia 6 Mass Rebuild

* Sun Oct 11 2015 philippem <philippem> 0.7.0-1.mga6
+ Revision: 889643
- update to 0.7.0

* Thu Oct 08 2015 tv <tv> 0.4.4-5.mga6
+ Revision: 887523
- rebuild for python 3.5

* Wed Oct 15 2014 umeabot <umeabot> 0.4.4-4.mga5
+ Revision: 747991
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.4.4-3.mga5
+ Revision: 728059
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.4.4-2.mga5
+ Revision: 687886
- Mageia 5 Mass Rebuild

* Sat Aug 30 2014 philippem <philippem> 0.4.4-1.mga5
+ Revision: 669727
- imported package python-arrow

